We use cookies to give you the best possible experience while you browse through our site. By continuing to use our website you implicitly agree to the usage of cookies on this site.

Read More
← Atlas API & Provisioning Reference

OSR Overwrite Requests

Schema

A request created whenever a request to delete or overwrite an sms enabled numbers

Type Object

Name Type Description
activation String(format:date-time) An ISO8601 formatted timestamp
error_code Enum(OK):String Further explanation of an error status
expires_at String(format:date-time) An ISO8601 formatted timestamp
id String(format:ulid) Desc. id
inserted_at String(format:date-time) An ISO8601 formatted timestamp
is_stale Boolean
review_status Enum:String Desc. review_status
status Enum:String Desc. status
tn String
updated_at String(format:date-time) An ISO8601 formatted timestamp

Desc. id

Another format for UUID, used primarily for tasks, requests and messages.

Enum Values review_status

Allowed values

  • NONE
  • APPROVED
  • REJECTED
  • AUTO_APPROVED
  • AUTO_REJECTED
  • FORCE_DELETED

Desc. review_status

The review status of the request, defaults to NONE.

Enum Values status

Allowed values

  • NEW
  • REVIEWED
  • APPROVED
  • REJECTED
  • ERROR
  • STALE
  • DELETED

Desc. status

The current processing status of the request

Example

{
  "activation": "2021-08-13T04:08:44.762841Z",
  "error_code": "OK",
  "expires_at": "2021-08-13T04:08:44.762841Z",
  "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
  "inserted_at": "2021-08-13T04:08:44.762841Z",
  "is_stale": true,
  "review_status": "NONE",
  "status": "NEW",
  "tn": "12003004000",
  "updated_at": "2021-08-13T04:08:44.762841Z"
}

Summary

API

Review OSR Overwrite Request

POST /api/v1/osr/overwrite_requests/{overwrite_request_id}/review HTTP/1.1

Review an existing Overwrite Request.

Note a request that has already been reviewed wil perform a no-op.

Request application/json

POST /api/v1/osr/overwrite_requests/{overwrite_request_id}/review HTTP/1.1
Accept: application/json, 
Content-Type: application/json
Content-Length: 82
{
  "data": {
    "review_status": "NONE"
  },
  "type": "osr_overwrite_request"
}

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 741
{
  "associations": {
    "did": {
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
      "number": "12003004000"
    },
    "new_nnid_entry": {
      "service_provider": "ACME Corp"
    },
    "reviewed_user": {
      "first_name": "John",
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
      "last_name": "Doe"
    }
  },
  "data": {
    "activation": "2021-08-13T04:08:44.762841Z",
    "error_code": "OK",
    "expires_at": "2021-08-13T04:08:44.762841Z",
    "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "is_stale": true,
    "review_status": "NONE",
    "status": "NEW",
    "tn": "12003004000",
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "osr_overwrite_request"
}

Response 204

No Content
HTTP/1.1 204

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Response 404

application/json
HTTP/1.1 404
Content-Type: application/json
Content-Length: 241
{
  "errors": [
    {
      "code": "invalid_parameter",
      "detail": "The specified resource could not be found",
      "source": {
        "pointer": "/data/type"
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}

List OSR Overwrite Requests

GET /api/v1/osr/overwrite_requests HTTP/1.1

Retrieve a list of overwrite requests, latest requests are always first

Query Parameters

Name Type Description
first Integer Query Desc. first
last Integer Query Desc. last
after String Query Desc. after
before String Query Desc. before

Query Desc. first

The number of items to return starting from the 'after' cursor

Query Desc. last

The number of items to return behind the 'before' cursor

Query Desc. after

The cursor representing the starting point of a 'first' based paging

Query Desc. before

The cursor representing the starting point of a 'last' based paging

Request

GET /api/v1/osr/overwrite_requests HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 1018
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "associations": {
        "did": {
          "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
          "number": "12003004000"
        },
        "new_nnid_entry": {
          "service_provider": "ACME Corp"
        },
        "reviewed_user": {
          "first_name": "John",
          "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
          "last_name": "Doe"
        }
      },
      "data": {
        "activation": "2021-08-13T04:08:44.762841Z",
        "error_code": "OK",
        "expires_at": "2021-08-13T04:08:44.762841Z",
        "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "is_stale": true,
        "review_status": "NONE",
        "status": "NEW",
        "tn": "12003004000",
        "updated_at": "2021-08-13T04:08:44.762841Z"
      },
      "type": "osr_overwrite_request"
    }
  ]
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Get OSR Overwrite Request

GET /api/v1/osr/overwrite_requests/{id} HTTP/1.1

Lookup an Overwrite Request by its ID

Path Parameters

Name Type Description
id String(format:uuid)! OSR Overwrite Request ID

Request

GET /api/v1/osr/overwrite_requests/{id} HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 741
{
  "associations": {
    "did": {
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
      "number": "12003004000"
    },
    "new_nnid_entry": {
      "service_provider": "ACME Corp"
    },
    "reviewed_user": {
      "first_name": "John",
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
      "last_name": "Doe"
    }
  },
  "data": {
    "activation": "2021-08-13T04:08:44.762841Z",
    "error_code": "OK",
    "expires_at": "2021-08-13T04:08:44.762841Z",
    "id": "01EH2Y28M6KXG14QMPM3HSP1Y0",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "is_stale": true,
    "review_status": "NONE",
    "status": "NEW",
    "tn": "12003004000",
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "osr_overwrite_request"
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Response 404

application/json
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}

Updated 2026-08-12 · Generated from the Atlas OpenAPI spec.